PROBE::SOCKET.WRIT(3stap)

NAME
probe::socket.write_iter.return - Conclusion of message send via sock_write_iter

SYNOPSIS

socket.write_iter.return

VALUES

family
    Protocol family value

type
    Socket type value

state
    Socket state value

size
    Size of message received (in bytes) or error code if success = 0

flags
    Socket flags value

protocol
    Protocol value

success
    Was receive successful? (1 = yes, 0 = no)

name
    Name of this probe

CONTEXT

The message receiver.

DESCRIPTION

Fires at the conclusion of sending a message on a socket via the sock_write_iter function

SEE ALSO
tapset::socket(3stap)